index

Varkon System administrators manual

# The driver for the HP7475 pen plotter

The hp7475 driver reads from standard input, translates .PLT or .DXF format to HP7475 format and writes to standard output.

## Syntax

    $VARKON_BIN/hp7475 -sS -xX -yY -vN -hS -kK

Options preceded by a minus sign should be followed by their value without any separating blank spaces.

## Options

-sS | - Set scale to S. Float value, default = 1.0
-xX | - Set origin.x to X. Float value, default = 0.0
-yY | - Set origin.y to Y. Float value, default = 0.0
-vN | - Rotate n degrees. Float value, default = 0.0
-kK | - Set curve accuracy to K. Float value, default = 1.0
-hS | - Pen speed . 0.0 <= S <= 1.0 Default = 0.6

## Examples

    $VARKON_BIN/hp7475 <plofile.PLT >plotfile.HP -s0.5

Scales the image in plotfile.PLT to half size and writes the result to a new file named "plotfile.HP" using the HP7475 format.

    $VARKON_BIN/hp7475 <plofile.PLT -s0.5 | lp

Same as above but the result is sent to a spooled plotter.

    $VARKON_BIN/hp7475 <plofile.PLT -h0.1 | lp

Same as above but pen speed is set to a low value.

## Comments

##

hp7475 automatically recognizes if the input is in .PLT or DXF format. The -k option only applies to DXF format.

The pen speed of the hp7475 plotter can only be altered in fixed steps. The hp7475 driver selects the speed closest to the relative value given with the -h option. 1 is the highest and 0 is the lowest speed.

hp7475 does not support color but if a plotter with more than one pen is used the PEN attribute can be used to force the plotter to use different pens. If different pens have different colors this will produce a color plot.

hp7475 supports the WIDTH attribute for linewidth as well as the PEN attribute for color. Lines of variable width may be produced in the same way as above, by using a plotter with multiple pens of varying width.

Varkon version 1.19C svn# 120